// Copyright (C) 2015, Antoni Buades, Universitat Illes Balears
// // <toni.buades@uib.es>
// //
// //
// //
// // This program is free software: you can use, modify and/or
// // redistribute it under the terms of the GNU General Public
// // License as published by the Free Software Foundation, either
// // version 3 of the License, or (at your option) any later
// // version. You should have received a copy of this license along
// // this program. If not, see <http://www.gnu.org/licenses/>.
//
//
//


/**
 * @file   libcartoon.cpp
 * @brief  Cartoon + texture functions
 *
 *
 *
 * @author Antoni Buades <toni.buades@uib.es>
 */



#ifndef LIB_CARTOON_H
#define LIB_CARTOON_H

#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <cmath>


#include "libBasic.h"
#include "libImage.h"




namespace libUSTG
{




void low_pass_filter_skernel(float * input, float * out,
                             struct sorted_kernel *skernel, int niter,
                             int width, int height);


void non_linear_cartoon_newdirectional(cflimage &input, cflimage &out,
                                       float fSigma, float fAngle, int iflag2D);



}


#endif
